Skip to main content
Resource Center/Network Resource/L2 Network Operations
GETL2 Network OperationsSince 0.6SynchronousAuth Required

QueryL2VxlanNetworkPool

QueryL2VxlanNetworkPool

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • attachedCidrsMapRequired

      No description provided.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID.

    • physicalInterfaceStringRequired

      No description provided.

    • typeStringRequired

      类型。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      附加集群UUID。

    • attachedVtepRefsListRequired

      See attachedVtepRefs.

      • uuidStringRequired

        The resource UUID.

      • hostUuidStringRequired

        The host UUID.

      • vtepIpStringRequired

        No description provided.

      • portIntegerRequired

        端口号。

      • typeStringRequired

        类型。

      • poolUuidStringRequired

        池UUID。

    • attachedVxlanNetworkRefsListRequired

      See attachedVxlanNetworkRefs.

      • vniIntegerRequired

        No description provided.

      • poolUuidStringRequired

        池UUID。

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • zoneUuidStringRequired

        The zone UUID.

      • physicalInterfaceStringRequired

        No description provided.

      • typeStringRequired

        类型。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • attachedClusterUuidsListRequired

        附加集群UUID。

    • attachedVniRangesListRequired

      See attachedVniRanges.

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • startVniIntegerRequired

        No description provided.

      • endVniIntegerRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • l2NetworkUuidStringRequired

        The L2 network UUID.

    • vSwitchTypeStringRequired

      The vSwitch type.

Endpoint

GET/zstack/v1/l2-networks/vxlan-pool

/zstack/v1/l2-networks/vxlan-pool

Operation ID

QueryL2VxlanNetworkPool

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/l2-networks/vxlan-pool' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "Test-Net", "description": "Test", "zoneUuid": "6199e247f6bf4157a41e51ed7ff2f78c", "type": "L2VxlanNetworkPool" "vSwitchType":"LinuxBridge" } ] }

Change History

This API has no change history records yet.

View all change history